TAU_DISABLE_ALL_GROU(3)

Name
TAU_DISABLE_ALL_GROUPS - Disables instrumentation in all groups

Synopsis

C/C++:

TAU_DISABLE_ALL_GROUPS(void);

Fortran:

TAU_DISABLE_ALL_GROUPS(void);

Description

This macro turns off instrumentation in all groups.

Example

C/C++ :

    void foo() {
      TAU_DISABLE_ALL_GROUPS();
      TAU_ENABLE_GROUP_NAME("PARTICLES");
    }

Fortran :

    call TAU_DISABLE_ALL_GROUPS();

Python:

    import pytau
    pytau.disableAllGroups()

See Also

TAU_GET_PROFILE_GROUP(3), TAU_ENABLE_GROUP_NAME(3), TAU_DISABLE_GROUP_NAME(3), TAU_ENABLE_ALL_GROUPS(3)